Bug 48361 - Install: Custom Install or Modify: Associate Microsoft Office Files should reflect current setting
Summary: Install: Custom Install or Modify: Associate Microsoft Office Files should re...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 109533 (view as bug list)
Depends on:
Blocks: Win-Installer-MAB
  Show dependency treegraph
 
Reported: 2012-04-05 18:39 UTC by Daniel Chung
Modified: 2019-03-10 03:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Chung 2012-04-05 18:39:29 UTC
Operating System: Microsoft Windows XP (have not tried Windows 7)
Language: Chinese (complex, also called traditional)
LibreOffice version: 3.5.1 or 3.5.2 (see below)
Language: Chinese (complex, also called traditional)

By default, installation associates Microsoft Office files to LibreOffice.
But the following happens.

A. MODIFY (operated on 3.5.1)

1. Install LibreOffice 3.5.1 by selecting "default", to completeness.
   You see that Microsoft Office files
   are associated to LibreOffice by default.

2. Go to: Control Panel > Add/Remove Software > LibreOffice > Modify >
   keep pressing Next until you see Associate Microsoft Office.

3. PROBLEM: The above checkboxes are not checked.

4. EXPECTATION: The above checkboxes should be checked, because the current
   setting is that they are associated.  In fact, while doing Modify,
   all displayed settings should reflect their current state.

B. CUSTOM INSTALL (operated on 3.5.2)

1. Install LibreOffice 3.5.2 by selecting "custom".

2. Keep pressing Next until you see Associate Microsoft Office.

3. PROBLEM: The above checkboxes are not checked.

4. EXPECTATION: The above checkboxes should be checked, because the default
   setting is that they are associated.  In fact, while doing Custom Install,
   all displayed settings should reflect the default selections.

Thanks.

Qiyao
Comment 1 Timur 2013-03-06 11:18:34 UTC
Please see my comment at https://bugs.freedesktop.org/show_bug.cgi?id=60714#c5
I recommend it be further tested and marked as WONTFIX.
Comment 2 V Stuart Foote 2013-03-06 15:56:54 UTC
Adding to bug 41884 for tracking.

Zhong Qiyao, have you continued to experience this specific behavior on subsequent installations in the 3.6 and 4.0 builds?
Comment 3 Kevin Suo 2014-05-28 02:42:44 UTC
(In reply to comment #0)

I can confirm the bug behaviour in libreoffice 4.2.4.2 and 4.3.0 beta1, windows XP SP3. File association is not reflecting the current status in Windows Installer.

In both 4.2.4.2 and 4.3.0 beta 1, "Microsoft Excel" is not checked by default (all other file types are checked). When I modified the installation settings to have "Microsoft Excel" be associated, then when you check it again in the modify installation window "Microsoft Excel" is still unchecked.
Comment 4 QA Administrators 2015-06-08 14:41:38 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2016-09-20 10:00:38 UTC Comment hidden (obsolete)
Comment 6 Timur 2018-02-28 13:59:16 UTC
*** Bug 109533 has been marked as a duplicate of this bug. ***
Comment 7 Zineta 2018-03-09 13:59:01 UTC
I can also confirm in:
LO 3.5.1  LO 3.7 Win XP 
LO 5.3.7.2 WIN 7
LO 6.0.2.1 Win 7 checked only MS PPoint and MS Visio Documents ,
after modify Word and Excel don't remain checked.
Comment 8 QA Administrators 2019-03-10 03:20:36 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug